org.apache.ignite.mxbean

## Interface ComputeMXBean

All Known Implementing Classes:
  ComputeMXBeanImpl

    public interface ComputeMXBean

Compute MXBean interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `cancel(String sesId)` Kills compute task by the session idenitifier.

### Method Detail

#### cancel

    @MXBeanDescription(value="Kills compute task by the session idenitifier.")
    void cancel(@MXBeanParameter(name="sesId",description="Session identifier.")
                                                                                           String sesId)

Kills compute task by the session idenitifier.

Parameters:
  `sesId` - Session id.
See Also:
  `ComputeTaskView.sessionId()`, `ComputeJobView.sessionId()`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020